Bug 435307 - No direct access to SRPMs (or other arches) from koji
No direct access to SRPMs (or other arches) from koji
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 11:37 EST by Horst H. von Brand
Modified: 2013-01-09 20:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 17:56:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-02-28 11:37:42 EST
Description of problem:
When looking at a package in koji, I'm oftentimes interested in the SRPM (to
rebuild under Aurora, on SPARC, or to swipe a patch). The SRPM is available, but
you have to know how/where to look for it.

Version-Release number of selected component (if applicable):
No idea

How reproducible:
Look at any build in koji, trying to locate the SRPM (or sources, spec, patches).

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Karsten Hopp 2008-02-28 11:44:32 EST
?? 
still building or failed packages have no SRPM, all others have.
p.e. http://koji.fedoraproject.org/koji/buildinfo?buildID=40302
there is a direct linkt to the srpm 
http://koji.fedoraproject.org/packages/ipsec-tools/0.7/13.fc9/src/ipsec-tools-0.7-13.fc9.src.rpm
Comment 2 Jesse Keating 2008-02-28 11:51:52 EST
You're going to have to be a bit clearer about where you're looking.
Comment 3 Mike McLean 2008-02-28 12:33:35 EST
I think he means that when you are looking at the rpminfo page (not the
buildinfo page), it is a little unclear how to find the srpm that goes with the
rpm you are looking at. 

I'd actually like to add a more obvious link to the matching build page. Right
now that link is the rpm version, which doesn't make much sense and is easy to miss.
Comment 4 Horst H. von Brand 2008-02-28 15:58:43 EST
Like comment 3 says.

I'm interested in building vanilla kernels on Fedora (the shipped ones are all
severely broken, except for kernel-2.6.24.1-28.fc9.i686, which in turn has a
known security hole...). So I need a patch for gcc-4.3. How do I get that one?
What else has changed? This requires the Fedora patches included in the SRPM,
and the Koji entry for the builds don't point at that one (yes, I understand
that if the build fails there is no SRPM, but that one wouldn't be that
interesting in any case).

I still keep an SPARCstation Ultra 1 around, running Aurora, which is
Fedora-based. But it lags *way* behind. If I need a newer package, I might grab
it from Koji, but again, I have to dig around to find the SRPM for rebuilding.
Comment 5 Jesse Keating 2008-02-28 16:06:14 EST
Now I'm even more confused.  If you're looking for kernel builds, and you search
for 'kernel' the package, you get led to
http://koji.fedoraproject.org/koji/packageinfo?packageID=8  If you then click on
a build you're interested in, say kernel-2.6.25-0.73.rc3.git1.fc9 you get led to
http://koji.fedoraproject.org/koji/buildinfo?buildID=40187 .  If you look there,
you'll clearly see the srpm listed in the packages:

kernel-2.6.25-0.73.rc3.git1.fc9.src.rpm (info) (download)

So where is the problem?
Comment 6 Horst H. von Brand 2008-02-28 21:18:04 EST
(download) gives just the binary RPM
(info) shows lots of statistics
(build logs) gives you build logs

You have to copy&paste the URL for the binary and edit it to get the SRPM.


Maybe I'm looking in the wrong place?
Comment 7 Mike McLean 2008-02-28 22:56:56 EST
Horst, if you are viewing the build page, there is a list of component rpms. One
of them is the srpm. Use the download link for that one.
Comment 8 Mike McLean 2008-02-29 15:25:07 EST
Related issue: https://fedorahosted.org/koji/ticket/44
Comment 9 Bug Zapper 2008-05-14 01:41:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.